---
version: 2
updates:
  - package-ecosystem: npm
    versioning-strategy: increase
    directory: /
    schedule:
      interval: daily
    cooldown:
      default-days: 7
      include:
        - "*"
    allow:
      - dependency-name: mongodb
      - dependency-name: bson
      - dependency-name: "@mongosh/*"
      - dependency-name: "@mongodb-js/*"
      - dependency-name: mongodb-*
      - dependency-name: bson-*
    groups:
      driver:
        patterns:
          - mongodb
          - bson
      compass:
        patterns:
          - "@mongodb-js/compass-*"
          - mongodb-data-service
          - "@mongodb-js/connection-form"
      mongosh:
        patterns:
          - "@mongosh/*"
    commit-message:
      prefix: chore
      include: scope
    labels:
      - dependencies
